Bug 985877 - /usr/bin/t4ht is a circular link, should be executable?
/usr/bin/t4ht is a circular link, should be executable?
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 08:20 EDT by ed leaver
Modified: 2015-02-17 11:13 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:13:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ed leaver 2013-07-18 08:20:48 EDT
Description of problem:
In FC19 /usr/bin/t4ht is symlinked to /usr/share/texlive/texmf-dist/scripts/tex4ht/ht.sh, which is a very short bash script that in turn executes... t4ht (relative path). Fork then runs out of processes.

Version-Release number of selected component (if applicable):


How reproducible:
I have a script that runs "mk4ht mzlatex <filename> <options>". mk4ht apparently calls t4ht. Fails every time. 

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
I temporarily "fixed" the problem by removing the symlink to /usr/share/texlive/texmf-dist/scripts/tex4ht/ht.sh and copying the /usr/bin/t4ht executable from an FC18 install into FC19's /usr/bin. Seems to work fine.
Comment 1 ivolopez 2013-07-19 11:33:44 EDT
Even a very simple example ends with error messages. Example:

- Tex file foo.tex:

\documentclass{article}
\begin{document}
Hello world
\end{document}

- Script call:

htlatex foo.tex

The htlatex script calls t4ht and it fails. The temporary "fix" have solved my problem.
Comment 2 Michael S. Tsirkin 2013-11-18 11:00:46 EST
I think component is wrong here.
This is part of texlive.
Comment 3 Michael S. Tsirkin 2013-11-18 11:01:42 EST
Description of problem:
texlive-tex4ht-bin-svn30088.0-0.1.20130608_r30832.fc19.i686
includes a broken /usr/bin/t4ht

Version-Release number of selected component (if applicable):
texlive-tex4ht-bin-svn30088.0-0.1.20130608_r30832.fc19.i686

How reproducible:
always

Steps to Reproduce:
1. htlatex foo.tex


Actual results:
forever prints:

tex4ht 
--- error --- improper command line
tex4ht [-f<path-separator-ch>]in-file[.dvi]
   [-.<ext>]            replacement to default file extension name .dvi
   [-c<tag name>]       choose named segment in env file
   [-e<env-file>]
   [-f<path-separator-ch>]        remove path from the file name
   [-F<ch-code>]        replacement for missing font characters; 0--255; default 0
   [-g<bitmap-file-ext>]
   [-h(e|f|F|g|s|v|V)]  trace: e-errors/warnings, f-htf, F-htf search
                            g-groups, s-specials, v-env, V-env search
   [-i<htf-font-dir>]
   [-l<bookkeeping-file>]
   [-P(*|<filter>)]     permission for system calls: *-always, filter
   [-S<image-script>]
   [-s<css-file-ext>]   default: -s4cs; multiple entries allowed
   [-t<tfm-font-dir>]
   [-u10]               base 10 for unicode characters
   [-utf8]              utf-8 encoding for unicode characters
   [-v<idv version>]    replacement for the given dvi version
   [-xs]           ms-dos file names for automatically generated gifs


Expected results:
should finish generate html

Additional info:

htlatex indirectly calls t4ht from
texlive-tex4ht-bin-svn30088.0-0.1.20130608_r30832.fc19.i686

This is a shell script:

#!/bin/sh
        $1 $2
        $1 $2
        $1 $2
        tex4ht $2
        t4ht $2  $3
Comment 4 Michael S. Tsirkin 2013-11-25 10:27:13 EST
For now I just got a working t4ht binary e.g. from
http://pkgs.fedoraproject.org/repo/pkgs/tetex-tex4ht/tex4ht-1.0.2008_02_28_2058.tar.gz/dc9d78c8ad22acd4b40dfd2cbbe2b8de/tex4ht-1.0.2008_02_28_2058.tar.gz
and put it in /usr/bin
Comment 5 Fedora End Of Life 2015-01-09 13:59:14 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 11:13:57 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.